set_edge_attr {igraph} | R Documentation

## Set edge attributes

### Description

Set edge attributes

### Usage

    set_edge_attr(graph, name, index = E(graph), value)

### Arguments

`graph` | The graph
`name` | The name of the attribute to set.
`index` | An optional edge sequence to set the attributes of a subset of edges.
`value` | The new value of the attribute for all (or `index`) edges.

### Value

The graph, with the edge attribute added or set.

### See Also

Other graph attributes: `delete_edge_attr`, `delete_graph_attr`, `delete_vertex_attr`, `edge_attr<-`, `edge_attr_names`, `edge_attr`, `graph_attr<-`, `graph_attr_names`, `graph_attr`, `igraph-dollar`, `igraph-vs-attributes`, `set_graph_attr`, `set_vertex_attr`, `vertex_attr<-`, `vertex_attr_names`, `vertex_attr`

### Examples

    g <- make_ring(10) %>%
      set_edge_attr("label", value = LETTERS[1:10])
    g
    plot(g)

[Package igraph version 1.1.2 Index]